Bug 1807274 - new versions of SNMP agent cannot query hrSWInstalled table
Summary: new versions of SNMP agent cannot query hrSWInstalled table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 01:00 UTC by Martin Jackson
Modified: 2020-04-28 02:55 UTC (History)
3 users (show)

Fixed In Version: net-snmp-5.8-17.fc32 net-snmp-5.8-19.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:15:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Jackson 2020-02-26 01:00:01 UTC
Description of problem:
SNMP agent doesn't respond to snmpwalk with v2 and and rocommunity

Version-Release number of selected component (if applicable):
net-snmp-5.8-11.fc31.x86_64

How reproducible: Always


Steps to Reproduce:
1.Configure agent with rocommunity
2.snmpwalk -v2c -c <community> agent-name hrSWInstalled
3.

Actual results:
% snmpwalk -v2c -c p0ller localhost hrSWInstalled
HOST-RESOURCES-MIB::hrSWInstalled = No Such Object available on this agent at this OID


Expected results: hrSWInstalled table, such as:
% snmpwalk -v2c -c p0ller srv-c8-canary hrSWInstalled
HOST-RESOURCES-MIB::hrSWInstalledIndex.1 = INTEGER: 1
HOST-RESOURCES-MIB::hrSWInstalledIndex.2 = INTEGER: 2
HOST-RESOURCES-MIB::hrSWInstalledIndex.3 = INTEGER: 3
HOST-RESOURCES-MIB::hrSWInstalledIndex.4 = INTEGER: 4
HOST-RESOURCES-MIB::hrSWInstalledIndex.5 = INTEGER: 5
HOST-RESOURCES-MIB::hrSWInstalledIndex.6 = INTEGER: 6



Additional info:
This also seems to occur in rawhide and f32.

Comment 1 Fedora Update System 2020-02-26 13:42:12 UTC
FEDORA-2020-3aedaed7b6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3aedaed7b6

Comment 2 Fedora Update System 2020-02-27 18:36:34 UTC
net-snmp-5.8-17.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3aedaed7b6

Comment 3 Fedora Update System 2020-02-28 01:27:04 UTC
net-snmp-5.8-17.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1bb71ecc42

Comment 4 Fedora Update System 2020-03-16 20:15:13 UTC
net-snmp-5.8-17.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-03-16 20:29:10 UTC
net-snmp-5.8-17.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-04-10 16:56:24 UTC
FEDORA-2020-c3ab547325 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c3ab547325`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3ab547325

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-28 02:55:55 UTC
FEDORA-2020-c3ab547325 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.